<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.system.mapper.SysMobileBannerMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.system.domain.SysMobileBanner">
        <id column="id" property="id" />
        <result column="tenant_id" property="tenantId" />
        <result column="open_not" property="openNot" />
        <result column="carousel_time" property="carouselTime" />
        <result column="banner_path1" property="bannerPath1" />
        <result column="banner_path2" property="bannerPath2" />
        <result column="banner_path3" property="bannerPath3" />
        <result column="banner_path4" property="bannerPath4" />
        <result column="banner_path5" property="bannerPath5" />
        <result column="link_type1" property="linkType1" />
        <result column="link_type2" property="linkType2" />
        <result column="link_type3" property="linkType3" />
        <result column="link_type4" property="linkType4" />
        <result column="link_type5" property="linkType5" />
        <result column="link_url1" property="linkUrl1" />
        <result column="link_url3" property="linkUrl3" />
        <result column="link_url4" property="linkUrl4" />
        <result column="link_url5" property="linkUrl5" />
        <result column="link_url2" property="linkUrl2" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
